package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DataRecordMapper;
import com.ruoyi.system.domain.DataRecord;
import com.ruoyi.system.service.IDataRecordService;
import com.ruoyi.common.core.text.Convert;

/**
 * 外链扫描情况记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-09-29
 */
@Service
public class DataRecordServiceImpl implements IDataRecordService
{
    @Autowired
    private DataRecordMapper dataRecordMapper;

    /**
     * 查询外链扫描情况记录
     * 
     * @param id 外链扫描情况记录主键
     * @return 外链扫描情况记录
     */
    @Override
    public DataRecord selectDataRecordById(Long id)
    {
        return dataRecordMapper.selectDataRecordById(id);
    }

    /**
     * 查询外链扫描情况记录列表
     * 
     * @param dataRecord 外链扫描情况记录
     * @return 外链扫描情况记录
     */
    @Override
    public List<DataRecord> selectDataRecordList(DataRecord dataRecord)
    {
        return dataRecordMapper.selectDataRecordList(dataRecord);
    }

    /**
     * 新增外链扫描情况记录
     * 
     * @param dataRecord 外链扫描情况记录
     * @return 结果
     */
    @Override
    public int insertDataRecord(DataRecord dataRecord)
    {
        return dataRecordMapper.insertDataRecord(dataRecord);
    }

    /**
     * 修改外链扫描情况记录
     * 
     * @param dataRecord 外链扫描情况记录
     * @return 结果
     */
    @Override
    public int updateDataRecord(DataRecord dataRecord)
    {
        return dataRecordMapper.updateDataRecord(dataRecord);
    }

    /**
     * 批量删除外链扫描情况记录
     * 
     * @param ids 需要删除的外链扫描情况记录主键
     * @return 结果
     */
    @Override
    public int deleteDataRecordByIds(String ids)
    {
        return dataRecordMapper.deleteDataRecordByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除外链扫描情况记录信息
     * 
     * @param id 外链扫描情况记录主键
     * @return 结果
     */
    @Override
    public int deleteDataRecordById(Long id)
    {
        return dataRecordMapper.deleteDataRecordById(id);
    }

    public List<DataRecord> selectDataRecordAllList(DataRecord dataRecord)
    {
        return dataRecordMapper.selectDataRecordAllList(dataRecord);
    }
    public List<DataRecord> selectWlDataRecordAllList(DataRecord dataRecord)
    {
        return dataRecordMapper.selectWlDataRecordAllList(dataRecord);
    }

}
